diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3b35bfc..86485b6 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -7287,28 +7287,44 @@ CommonOperators(): Exports == Implementation where
       x = 1::O => e
       e ** x
 
+    fsupersub(x:List O):O == supersub("A"::Symbol::O, x)
+    fbinomial(x:List O):O == binomial(first x, second x)
+    fpower(x:List O):O    == first(x) ** second(x)
+    fsum(x:List O):O      == sum(first x, second x, third x)
+    fprod(x:List O):O     == prod(first x, second x, third x)
+
+    fint(x:List O):O      ==
+       int(first x * hconcat("d"::Symbol::O, second x),empty(), third x)
+
+    fpren(x:List InputForm):InputForm  ==
+       convert concat(convert("("::Symbol)@InputForm,
+                            concat(x, convert(")"::Symbol)@InputForm))
+
+    fpow(x:List InputForm):InputForm  ==
+       convert concat(convert("**"::Symbol)@InputForm, x)
+
+    froot(x:List InputForm):InputForm  ==
+       convert [convert("**"::Symbol)@InputForm, first x, 1 / second x]
+
     startUp b ==
       brandNew?() := b
-      display(oppren, paren)
-      display(opbox, commaSeparate)
-      display(oppi, dpi)
-      display(opexp, dexp)
-      display(opGamma, dgamma)
+      display(oppren,   paren)
+      display(opbox,    commaSeparate)
+      display(oppi,     dpi)
+      display(opexp,    dexp)
+      display(opGamma,  dgamma)
       display(opGamma2, dgamma)
-      display(opfact, dfact)
-      display(opquote, dquote)
-      display(opperm, supersub("A"::Symbol::O, #1))
-      display(opbinom, binomial(first #1, second #1))
-      display(oppow, first(#1) ** second(#1))
-      display(opsum,   sum(first #1, second #1, third #1))
-      display(opprod, prod(first #1, second #1, third #1))
-      display(opint, int(first #1 * hconcat("d"::Symbol::O, second #1),
-                                                   empty(), third #1))
-      input(oppren, convert concat(convert("("::Symbol)@InputForm,
-                            concat(#1, convert(")"::Symbol)@InputForm)))
-      input(oppow, convert concat(convert("**"::Symbol)@InputForm, #1))
-      input(oproot,
-            convert [convert("**"::Symbol)@InputForm, first #1, 1 / second #1])
+      display(opfact,   dfact)
+      display(opquote,  dquote)
+      display(opperm,   fsupersub)
+      display(opbinom,  fbinomial)
+      display(oppow,    fpower)
+      display(opsum,    fsum)
+      display(opprod,   fprod)
+      display(opint,    fint)
+      input(oppren,     fpren)
+      input(oppow,      fpow)
+      input(oproot,     froot)
       for op in algop   repeat assert(op, ALGOP)
       for op in rtrigop repeat assert(op, "rtrig")
       for op in htrigop repeat assert(op, "htrig")
diff --git a/changelog b/changelog
index e3ff635..6616c58 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090513 tpd src/axiom-website/patches.html 20090513.02.tpd.patch
+20090513 tpd books/bookvol10.4 COMMONOP +-> conversion
 20090513 tpd src/axiom-website/patches.html 20090513.01.tpd.patch
 20090513 tpd books/bookvol10.3 LMDICT +-> conversin
 20090512 tpd src/axiom-website/patches.html 20090512.10.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c151e43..fd0318e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1274,5 +1274,7 @@ bookvol10.4 CDEN +-> conversion<br/>
 bookvol10.2 IR +-> conversion<br/>
 <a href="patches/20090513.01.tpd.patch">20090513.01.tpd.patch</a>
 bookvol10.3 LMDICT +-> conversion<br/>
+<a href="patches/20090513.02.tpd.patch">20090513.02.tpd.patch</a>
+bookvol10.4 COMMONOP +-> conversion<br/>
  </body>
 </html>
